Subject: bug#76471: [PATCH] 31.0.50; dockerfile-ts-mode lacks fontification for most grammar-elements in the Dockerfile AST

From: Stefan Kangas <[email-masked]>
Date: Fri, 21 Feb 2025 21:03:40 +0000

Jostein Kjønigsen <[email-masked]> writes:

> I'm not used to adding things to NEWS. Is this OK?

Sorry, I meant a ChangeLog entry, as described under the header "Commit
messages" in CONTRIBUTE.  I see many patches from you that have followed
this format in the past.  I guess it should look something like this.

    * lisp/progmodes/dockerfile-ts-mode.el
    (dockerfile-ts-mode--font-lock-settings, dockerfile-ts-mode):
    ...description here...

(I would recommend using `M-x magit-generate-changelog` from the
ChangeLog buffer to generate them, if you are a Magit user, and
otherwise `C-x 4 a`.)

I'm not sure that this change specifically needs to be in NEWS, but I
won't object to adding it there also.

Thanks again, and sorry for not being more clear.